io.vertx.rxjava.ext.web.handler

## Class BasicAuthHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.BasicAuthHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthHandler

      public class BasicAuthHandler
      extends Object
      implements AuthHandler, Handler<RoutingContext>

  An auth handler that provides HTTP Basic Authentication support.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<BasicAuthHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicAuthHandler(BasicAuthHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Add a set of required authorities for this auth handler
    `AuthHandler` | `addAuthority(String authority)` Add a required authority for this auth handler
    `static AuthHandler` | `create(AuthProvider authProvider)` Create a basic auth handler
    `static AuthHandler` | `create(AuthProvider authProvider, String realm)` Create a basic auth handler, specifying realm
    `BasicAuthHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static BasicAuthHandler` | `newInstance(BasicAuthHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.AuthHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<BasicAuthHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### BasicAuthHandler

          public BasicAuthHandler(BasicAuthHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public BasicAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthHandler`

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthHandler`
      Parameters:
        `arg0` - the event to handle

    - #### addAuthority

          public AuthHandler addAuthority(String authority)

      Add a required authority for this auth handler
      Specified by:
        `addAuthority` in interface `AuthHandler`
      Parameters:
        `authority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAuthorities

          public AuthHandler addAuthorities(Set<String> authorities)

      Add a set of required authorities for this auth handler
      Specified by:
        `addAuthorities` in interface `AuthHandler`
      Parameters:
        `authorities` - the set of authorities
      Returns:
        a reference to this, so the API can be used fluently

    - #### create

          public static AuthHandler create(AuthProvider authProvider)

      Create a basic auth handler
      Parameters:
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          public static AuthHandler create(AuthProvider authProvider,
                                           String realm)

      Create a basic auth handler, specifying realm
      Parameters:
        `authProvider` - the auth service to use
        `realm` - the realm to use
      Returns:
        the auth handler

    - #### newInstance

          public static BasicAuthHandler newInstance(BasicAuthHandler arg)

Copyright © 2017. All rights reserved.